
// Example for the use of debugger

// External Libraries

import java.io.*;    // for System I/O
import java.util.*;  // for StringTokenizer

public class triangle
{
   //  class data declarations

    static double s1, s2, s3;  // 3 sides of triangle
    static int group;
    static int no_of_rounds;
    static final int equi = 1;
    static final int isos = 2;
    static final int scal = 3;
    static private StringTokenizer stok;
    static private DataInputStream in = new DataInputStream (System.in);

    // main method

    public static void main(String[] args)
    {
       System.out.println("TRIANGLE CLASSIFICATION \n");
        
       s1=s2=s3=0; 
       System.out.print("Enter the length of first side:");
          
          
       s1 = readDouble();
       if (s1 != 0)
       {
         System.out.print("Enter the length of second side:");
         s2 = readDouble();
       }
    
       if (s2 != 0)
       {
         System.out.print("Enter the length of third side:");
         s3 = readDouble();
       }
       
       if ((s1*s2*s3) == 0)   // at least one of the sides is 0
         System.out.println("GoodBye :)");

       group = classify(s1,s2,s3);
       switch(group)
       {
         case equi:
             System.out.println("\nEquilateral");
             break;

         case isos:
             System.out.println("\nIsosceles");
             break;

         case scal:
             System.out.println("\nScalene");
             break;

         default:
            System.out.println("\nInvalid entry!! Try again.");

       } // end of switch

       // hold the screen to view output until ENTER is pressed
       String ch = "";

       System.out.println("Press ENTER or RETURN to go back to Visual Cafe.");
       try
         { ch = in.readLine();}
       catch (IOException e) {}
    }// end of main

    // Other support functions
    public static double readDouble()
    {
        double d = 0;
        try
          {
             String str = in.readLine();
             stok = new StringTokenizer(str);
             d = new Double(stok.nextToken()).doubleValue();
          }
        catch (IOException e){System.out.println(e); }

        return d;
    }//end of readDouble()

    public static int classify(double s1, double s2, double s3)
    {
        if (s1<0 || s2<0 || s3<0)
           return 0;
        else if ((s1 == s2) && (s2 == s3))
                return equi;
             else if (s1 == s2 || s2 == s3 || s1 == s3)
                      return isos;
                  else return scal;
    }// end of classify()

}//end of class

